%define base_name	kde-style
%define theme_name	activeheart
%define name		%{base_name}-%{theme_name}
%define version		1.2.1
%define release		%mkrel 6
%define summary		Activeheart kstyle theme for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=11384
BuildRequires:		kdebase-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
Activeheart kstyle theme for KDE

The concept of this style is harmony of sharpness and softness.
And this style was created based on keramik.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}

%build
#make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde3/kstyle_%{theme_name}_config.la
%{_libdir}/kde3/kstyle_%{theme_name}_config.so
%{_libdir}/kde3/plugins/styles/%{theme_name}.la
%{_libdir}/kde3/plugins/styles/%{theme_name}.so
%{_datadir}/apps/kdisplay/color-schemes/ActiveHeart.kcsrc
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc



%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.2.1-6mdv2008.1
+ Revision: 140853
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-6mdv2007.0
- Rebuild

* Wed Nov 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-5mdk
- Fix redundant BuildRequires
- %%mkrel

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2.1-4mdk
- Rebuild

* Sat Mar 19 2005 Nicolas CHIPAUX <chipaux@mandrakesoft.com> 1.2.1-3mdk
- Fix for build on x86_64

* Sat Jul 17 2004 Michael Scherer <misc@mandrake.org> 1.2.1-2mdk 
- rebuild for new gcc

* Sun May 02 2004 Laurent Culioli <laurent@mandrake.org> 1.2.1-1mdk
- 1.2.1

* Wed Apr 21 2004 Laurent Culioli <laurent@mandrake.org> 1.1.8-0.a.1mdk
- 1.1.8a

* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 1.1.7-1mdk
- new kstyle theme for kde

